# company_base.h File Reference

Definition of stuff that is very close to a company, like the company struct itself. More...

`#include "company_type.h"`
`#include "core/pool_type.hpp"`
`#include "road_type.h"`
`#include "rail_type.h"`
`#include "date_type.h"`
`#include "engine_type.h"`
`#include "livery.h"`
`#include "autoreplace_type.h"`
`#include "economy_type.h"`
`#include "tile_type.h"`
`#include "settings_type.h"`

Go to the source code of this file.

## Data Structures

struct | CompanyEconomyEntry
struct | Company

## Defines

#define | FOR_ALL_COMPANIES_FROM(var, start) FOR_ALL_ITEMS_FROM(Company, company_index, var, start)
#define | FOR_ALL_COMPANIES(var) FOR_ALL_COMPANIES_FROM(var, 0)

## Typedefs

typedef Pool< Company, CompanyByte, 1, MAX_COMPANIES > | CompanyPool

## Functions

Money | CalculateCompanyValue (const Company *c)

## Variables

CompanyPool | _company_pool
uint | _next_competitor_start
| the number of ticks before the next AI is started
uint | _cur_company_tick_index
| used to generate a name for one company that doesn't have a name yet per tick

## Detailed Description

Definition of stuff that is very close to a company, like the company struct itself.

Definition in file company_base.h.